Package com.google.android.exoplayer2.mediacodec

## Class MediaCodecDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.decoder.DecoderException
      - - com.google.android.exoplayer2.mediacodec.MediaCodecDecoderException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `MediaCodecVideoDecoderException`

      public class MediaCodecDecoderException
      extends DecoderException

  Thrown when a failure occurs in a `MediaCodec` decoder.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MediaCodecInfo` | `codecInfo` | The `MediaCodecInfo` of the decoder that failed.
    `String` | `diagnosticInfo` | An optional developer-readable diagnostic information string.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaCodecDecoderException​(Throwable cause, MediaCodecInfo codecInfo)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codecInfo

          @Nullable
          public final MediaCodecInfo codecInfo

      The `MediaCodecInfo` of the decoder that failed. Null if unknown.

    - #### diagnosticInfo

          @Nullable
          public final String diagnosticInfo

      An optional developer-readable diagnostic information string. May be null.

  - ### Constructor Detail

    - #### MediaCodecDecoderException

          public MediaCodecDecoderException​(Throwable cause,
                                            @Nullable
                                            MediaCodecInfo codecInfo)